# Search for available slots **POST /rest/v3/slots/search** Finds the available time ranges for qualified field resources to carry out a given type of work order. Given a work order type and a location, the service allows to find the available intervals during which field resources possessing the needed skills have enough time to travel to the work order site from the previous site, perform the work order, and travel to the site of the next work order. Use https://availableslots-production-1.praxedo.com/rest/v3/slots/search for EU instances. Use https://availableslots-production-2.praxedo.com/rest/v3/slots/search for AM2. Use https://availableslots-production-3.praxedo.com/rest/v3/slots/search for AM1. ## Servers - The node of your Praxedo instance (eu1, am1...).: https://ws-eu1.praxedo.com (The node of your Praxedo instance (eu1, am1...).) ## Authentication methods - Bearer authentication ## Parameters ### Body: application/json (object) - **endCustomer** (object) - **schedulerRequirements** (object) - **slotSearchConfiguration** (object) ## Responses ### 200 OK #### Body: application/json (object) - **slots** (array[object]) - **searchReport** (string) A text detailing the steps taken while looking for a slot. Might prove useful to understand why a given resource unexpectedly has/miss slots. This is for manually diagnosing issues. The format of this field is submit to change at any given time. Do not parse it. ### 400 Bad request #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 1001 The work order type is missing #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 1002 A list of time ranges or a an appointment date is missing #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 1003 Received a request requesting slots related to field resources in charge of an area (enableZoneFilter = 'true'). However, no zip code has been provided to help identify the area in which the work order will take place #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2001 The provided work order type does not exist #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2002 At least one of the provided offices does not exist #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2003 The provided dates are in the past #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2004 The end date of the search interval is earlier than the start date #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2005 The slot search period is too long. The maximum is 200 weeks #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2006 The 'offices' list accepts either 'codes' or 'ids', but not both. Please provide only one #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2007 The provided areas do not exist #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2008 Maximal value for maximumSlotNumber is 700 #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2009 The skills list accepts either 'codes' or 'ids', but not both. Please provide only on #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2010 The 'workOrder' can either be a code or an id. Please provide only one #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2011 Invalid value '%s' for parameter 'areaScope'. Allowed values are: 'RESOURCE', 'TIMESLOT' #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2012 The parameter 'customerPortalUser' cannot be used with the 'RESOURCE' area scopes #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2013 The parameter 'values' of 'startingHours' cannot be used with the 'FIRST_OF_THE_DAY' "perResource" option #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 2014 The parameter 'appointmentDate' of 'availabilities' cannot be used with the 'FIRST_OF_THE_DAY' "perResource" option #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 3011 The provided address couldn't be geocoded #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 3021 The provided [latitude, longitude] is out of range : [%s, %s]. Expected values : -90 < latitude < 90 and -180 < longitude < 180 #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 3022 Coordinates (0,0) are not accepted #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 3031 The travel times and distances could not be computed #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. ### 3032 No route could be found to reach the work order destination (e.g. closed road, unreachable area) #### Body: application/json (object) - **errorCode** (string) The error code. - **errorMessage** (string) The error message. [Powered by Bump.sh](https://bump.sh)